abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James M Snell <jasn...@gmail.com>
Subject Re: Cannot build trunk
Date Wed, 20 Sep 2006 06:57:49 GMT
Ok, fixed.  The eclipse compiler didn't catch this but the ant builder
did.  The problem is caused by a limitation some compilers have with
resolving java5 generics in some instances.  Pull from head and give it
another try.

- James

Steven Isaacson wrote:
> I cannot currently build the abdera trunk. I am seeing the following error
> when building using ant:
> 
> **compile.parser:
>    [mkdir] Created dir: /home/spi/prog/abdera/java/trunk/build/work/parser
>    [javac] Compiling 41 source files to
> /home/spi/prog/abdera/java/trunk/build/ work/parser
>    [javac]
> /home/spi/prog/abdera/java/trunk/parser/src/main/java/org/apache/abd
> era/parser/stax/FOMEntry.java:142: unexpected type
>    [javac] found   : org.apache.abdera.model.Base
>    [javac] required: reference
>    [javac]     if (category.getParentElement() instanceof Categories) {
>    [javac]                                  ^
>    [javac]
> /home/spi/prog/abdera/java/trunk/parser/src/main/java/org/apache/abd
> era/parser/stax/FOMSource.java:138: unexpected type
>    [javac] found   : org.apache.abdera.model.Base
>    [javac] required: reference
>    [javac]     if (category.getParentElement() instanceof Categories) {
>    [javac]                                  ^
>    [javac] Note:
> /home/spi/prog/abdera/java/trunk/parser/src/main/java/org/apac
> he/abdera/parser/stax/util/FOMList.java uses unchecked or unsafe
> operations.
> 
>    [javac] Note: Recompile with -Xlint:unchecked for details.
>    [javac] 2 errors
> 
> I am seeing the same error using Sun's jvm and IBM's jvm:
> [00:43][spi@calvin:~/prog/abdera/java/trunk> java -version
> java version " 1.5.0_08"
> Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_08-b03)
> Java HotSpot(TM) Client VM (build 1.5.0_08-b03, mixed mode, sharing)
> 
> C:\workspace\driver3\abdera0.2>java -version
> java version "1.5.0"
> Java(TM) 2 Runtime Environment, Standard Edition (build pwi32dev-20060511
> (SR2))
> 
> IBM J9 VM (build 2.3, J2RE 1.5.0 IBM J9 2.3 Windows XP x86-32
> j9vmwi3223-2006050
> 4 (JIT enabled)
> 
> I made sure to do a svn co to get the latest revision.
> 
> Any thoughts?
> 
> Thanks,
> -steve
> 

Mime
View raw message